Skip to main content
POST
/
sites
Create site
curl --request POST \
  --url https://api.kameleoon.com/sites \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "abtestConsent": "OFF",
  "applicationFileUrl": "<string>",
  "behaviorWhenTimeout": "RUN",
  "captureEventMethod": "CLICK",
  "currency": "USD",
  "customAttributes": "<string>",
  "customSelectors": [
    "<string>"
  ],
  "dataStorage": "STANDARD_COOKIE",
  "description": "<string>",
  "domainNames": [
    "<string>"
  ],
  "experimentConfig": {
    "abtestConsent": "OFF",
    "abtestConsentOptout": "RUN",
    "beforeAbtestConsent": "NONE",
    "customVariationSelectionScript": "<string>",
    "isEditorLaunchedByShortcut": true,
    "isKameleoonReportingEnabled": true,
    "minWiningReliability": 123
  },
  "imagesUrl": "<string>",
  "indicators": [
    "RETENTION_RATE"
  ],
  "isAudienceUsed": true,
  "isKameleoonEnabled": true,
  "isScriptActive": true,
  "kameleoonDomain": "<string>",
  "lastScriptRebuildDate": "2023-11-07T05:31:56Z",
  "lastScriptRebuildStatus": "SUCCESS",
  "name": "<string>",
  "personalizationConfig": {
    "beforePersonalizationConsent": "NONE",
    "isSameJqueryInjectionAllowed": true,
    "isSameTypePersonalizationEnabled": true,
    "personalizationConsent": "OFF",
    "personalizationConsentOptout": "RUN",
    "personalizationsDeviation": 123
  },
  "realTimeConfigUpdate": true,
  "recommendationSecretKey": "<string>",
  "recommendationStoreKey": "<string>",
  "responsiveMobile": true,
  "shadowDom": true,
  "trackingScript": "<string>",
  "type": "SITE",
  "wideDomain": "<string>",
  "widgetFonts": [
    {
      "fontFamily": "<string>",
      "fontSrc": "<string>",
      "fontWeights": [
        "<string>"
      ],
      "id": "<string>",
      "importSrc": "<string>"
    }
  ]
}
'
{
  "url": "<string>",
  "abtestConsent": "OFF",
  "applicationFileUrl": "<string>",
  "audienceConfig": {
    "mainGoal": 123,
    "cartAmountGoal": 123,
    "cartAmountValue": 123,
    "dateCreated": "2023-11-07T05:31:56Z",
    "excludedConfigurationUrlList": [
      {
        "matchType": "EXACT",
        "url": "<string>"
      }
    ],
    "excludedCustomData": [
      123
    ],
    "excludedExperimentList": [
      123
    ],
    "excludedGoalList": [
      123
    ],
    "excludedPersonalizationList": [
      123
    ],
    "excludedTargetingSegmentList": [
      123
    ],
    "excludedTargetingTypeList": [
      "PAGE_URL"
    ],
    "id": 123,
    "ignoreURLSettings": true,
    "includedConfigurationUrlList": [
      {
        "matchType": "EXACT",
        "url": "<string>"
      }
    ],
    "includedCustomData": [
      123
    ],
    "includedExperimentList": [
      123
    ],
    "includedPersonalizationList": [
      123
    ],
    "includedTargetingSegmentList": [
      123
    ],
    "includedTargetingTypeList": [
      "PAGE_URL"
    ],
    "siteType": "ECOMMERCE"
  },
  "behaviorWhenTimeout": "RUN",
  "captureEventMethod": "CLICK",
  "code": "<string>",
  "currency": "USD",
  "customAttributes": "<string>",
  "customSelectors": [
    "<string>"
  ],
  "dataStorage": "STANDARD_COOKIE",
  "dateCreated": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "domainNames": [
    "<string>"
  ],
  "experimentConfig": {
    "abtestConsent": "OFF",
    "abtestConsentOptout": "RUN",
    "beforeAbtestConsent": "NONE",
    "customVariationSelectionScript": "<string>",
    "isEditorLaunchedByShortcut": true,
    "isKameleoonReportingEnabled": true,
    "minWiningReliability": 123
  },
  "id": 123,
  "imagesUrl": "<string>",
  "indicators": [
    "RETENTION_RATE"
  ],
  "isAudienceUsed": true,
  "isKameleoonEnabled": true,
  "isScriptActive": true,
  "kameleoonDomain": "<string>",
  "lastScriptRebuildDate": "2023-11-07T05:31:56Z",
  "lastScriptRebuildStatus": "SUCCESS",
  "name": "<string>",
  "personalizationConfig": {
    "beforePersonalizationConsent": "NONE",
    "isSameJqueryInjectionAllowed": true,
    "isSameTypePersonalizationEnabled": true,
    "personalizationConsent": "OFF",
    "personalizationConsentOptout": "RUN",
    "personalizationsDeviation": 123
  },
  "realTimeConfigUpdate": true,
  "recommendationSecretKey": "<string>",
  "recommendationStoreKey": "<string>",
  "responsiveMobile": true,
  "shadowDom": true,
  "trackingScript": "<string>",
  "type": "SITE",
  "wideDomain": "<string>",
  "widgetFonts": [
    {
      "fontFamily": "<string>",
      "fontSrc": "<string>",
      "fontWeights": [
        "<string>"
      ],
      "id": "<string>",
      "importSrc": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string
required

URL of the website.

Available options:
OFF,
REQUIRED,
IABTCF
applicationFileUrl
string

URL for self-hosted kameleoon.js file. If not specified kameleoon.js will be loaded by default url - SITE_CODE.kameleoon.eu/kameleoon.js

audienceConfig
object

Audience configuration.

behaviorWhenTimeout
enum<string>

Behavior if timeout occurs. You can redefine the behavior of Kameleoon Application when the script exceeds the usual loading time. By default, the application will eventually launch, but with a flicker effect.

Available options:
RUN,
DISABLE_FOR_PAGE,
DISABLE_FOR_VISIT
captureEventMethod
enum<string>
Available options:
CLICK,
MOUSEDOWN,
MOUSEUP
currency
enum<string>
Available options:
USD,
EUR,
JPY,
GBP,
CNY,
AUD,
CAD,
CHF,
HKD,
SGD,
SEK,
KRW,
NOK,
NZD,
INR,
MXN,
TWD,
ZAR,
BRL,
DKK,
PLN,
THB,
ILS,
IDR,
CZK,
AED,
TRY,
HUF,
CLP,
SAR,
PHP,
MYR,
COP,
RUB,
RON,
PEN,
BHD,
BGN,
ARS,
KWD
customAttributes
string
customSelectors
string[]
dataStorage
enum<string>

This option allows you to choose the source where you can store the data of your A/B tests on the the visitor's device.

Available options:
STANDARD_COOKIE,
LOCAL_STORAGE,
CUSTOM_COOKIE
description
string

Website description.

domainNames
string[]
experimentConfig
object

Configuration of an experiment.

imagesUrl
string

URL for self-hosted images. If not specified images will be loaded by default url - SITE_CODE.kameleoon.eu/images/

indicators
enum<string>[]

List of indicators such as: Retention rate, number of pages seen and dwell time.

List of indicators such as: Retention rate, number of pages seen and dwell time.

Available options:
RETENTION_RATE,
NUMBER_OF_PAGES_SEEN,
DWELL_TIME
isAudienceUsed
boolean

Indicates if audience feature is enabled and used for the website.

isKameleoonEnabled
boolean

Indicates if Kameleoon application is enbabled for the website.

isScriptActive
boolean

Indicates if the script has been installed successfully and is active on the website.

kameleoonDomain
string
lastScriptRebuildDate
string<date-time>

Date last rebuild Script.

lastScriptRebuildStatus
enum<string>

Status last rebuild Script.

Available options:
SUCCESS,
FAILURE
name
string

Name of the website.

Maximum string length: 30
personalizationConfig
object

Configuration of a personalization.

realTimeConfigUpdate
boolean

Can SDK receive the configuration in real-time.

recommendationSecretKey
string

Product recommendation secret key.

recommendationStoreKey
string

Product recommendation store key.

responsiveMobile
boolean
shadowDom
boolean

ShadowDOM option.

trackingScript
string

Global custom script is any JavaScript code that you add which will be executed at each page load. This custom script will be executed right after the loading of Kameleoon application. For instance, you can add complex tracking code or integration to some third party solutions in this section.

type
enum<string>

Project type.

Available options:
SITE,
SITE_JS,
SITE_SDK,
APPLICATION
wideDomain
string
deprecated

Deprecated, use kameleoonDomain instead

widgetFonts
object[]

Widget fonts for site.

Response

Created

url
string
required

URL of the website.

Available options:
OFF,
REQUIRED,
IABTCF
applicationFileUrl
string

URL for self-hosted kameleoon.js file. If not specified kameleoon.js will be loaded by default url - SITE_CODE.kameleoon.eu/kameleoon.js

audienceConfig
object

Audience configuration.

behaviorWhenTimeout
enum<string>

Behavior if timeout occurs. You can redefine the behavior of Kameleoon Application when the script exceeds the usual loading time. By default, the application will eventually launch, but with a flicker effect.

Available options:
RUN,
DISABLE_FOR_PAGE,
DISABLE_FOR_VISIT
captureEventMethod
enum<string>
Available options:
CLICK,
MOUSEDOWN,
MOUSEUP
code
string
read-only

System generated code to uniquely identify a website.

currency
enum<string>
Available options:
USD,
EUR,
JPY,
GBP,
CNY,
AUD,
CAD,
CHF,
HKD,
SGD,
SEK,
KRW,
NOK,
NZD,
INR,
MXN,
TWD,
ZAR,
BRL,
DKK,
PLN,
THB,
ILS,
IDR,
CZK,
AED,
TRY,
HUF,
CLP,
SAR,
PHP,
MYR,
COP,
RUB,
RON,
PEN,
BHD,
BGN,
ARS,
KWD
customAttributes
string
customSelectors
string[]
dataStorage
enum<string>

This option allows you to choose the source where you can store the data of your A/B tests on the the visitor's device.

Available options:
STANDARD_COOKIE,
LOCAL_STORAGE,
CUSTOM_COOKIE
dateCreated
string<date-time>
read-only

Date when the site was created.

description
string

Website description.

domainNames
string[]
experimentConfig
object

Configuration of an experiment.

id
integer<int64>
read-only

Unique Id of the website.

imagesUrl
string

URL for self-hosted images. If not specified images will be loaded by default url - SITE_CODE.kameleoon.eu/images/

indicators
enum<string>[]

List of indicators such as: Retention rate, number of pages seen and dwell time.

List of indicators such as: Retention rate, number of pages seen and dwell time.

Available options:
RETENTION_RATE,
NUMBER_OF_PAGES_SEEN,
DWELL_TIME
isAudienceUsed
boolean

Indicates if audience feature is enabled and used for the website.

isKameleoonEnabled
boolean

Indicates if Kameleoon application is enbabled for the website.

isScriptActive
boolean

Indicates if the script has been installed successfully and is active on the website.

kameleoonDomain
string
lastScriptRebuildDate
string<date-time>

Date last rebuild Script.

lastScriptRebuildStatus
enum<string>

Status last rebuild Script.

Available options:
SUCCESS,
FAILURE
name
string

Name of the website.

Maximum string length: 30
personalizationConfig
object

Configuration of a personalization.

realTimeConfigUpdate
boolean

Can SDK receive the configuration in real-time.

recommendationSecretKey
string

Product recommendation secret key.

recommendationStoreKey
string

Product recommendation store key.

responsiveMobile
boolean
shadowDom
boolean

ShadowDOM option.

trackingScript
string

Global custom script is any JavaScript code that you add which will be executed at each page load. This custom script will be executed right after the loading of Kameleoon application. For instance, you can add complex tracking code or integration to some third party solutions in this section.

type
enum<string>

Project type.

Available options:
SITE,
SITE_JS,
SITE_SDK,
APPLICATION
wideDomain
string
deprecated

Deprecated, use kameleoonDomain instead

widgetFonts
object[]

Widget fonts for site.